Page MenuHomeFreeBSD

x11-themes/sddm-freebsd-black-theme: update to version 1.2.
ClosedPublic

Authored by rigoletto on Sep 22 2018, 6:07 PM.

Details

Summary
  • update to version 1.2
  • update MAINTAINER
  • update MASTER_SITES

Thanks!

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

x11-themes/sddm-freebsd-black-theme/pkg-plist
1 ↗(On Diff #48364)

you stopped using THEMEDIR :) you can either get rid of it in the makefile or keep using it.

rigoletto marked 2 inline comments as done.

Done.

x11-themes/sddm-freebsd-black-theme/pkg-plist
1 ↗(On Diff #48364)

I was looking for better readability on the pkg-plist file, but removing it from the port would make it uglier to read. ^^

rigoletto retitled this revision from n11-themes/sddm-freebsd-black-theme: update to version 1.1. to x11-themes/sddm-freebsd-black-theme: update to version 1.1..Sep 22 2018, 8:38 PM
x11-themes/sddm-freebsd-black-theme/Makefile
20–28 ↗(On Diff #48365)

All those changes should probably not be made.

32–38 ↗(On Diff #48365)

Remove whitespace changes. Also, INSTALL_DATA.

rigoletto marked 2 inline comments as done.

Done.

While here switch MASTER_SITES to the new source address..

rigoletto retitled this revision from x11-themes/sddm-freebsd-black-theme: update to version 1.1. to x11-themes/sddm-freebsd-black-theme: update to version 1.2..Oct 7 2018, 2:15 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto added a reviewer: mat.
rigoletto removed a subscriber: mat.
x11-themes/sddm-freebsd-black-theme/Makefile
19–20 ↗(On Diff #48845)

There are locally defined variables, they go after the options block. See Order of Variables in Port Makefiles.

28 ↗(On Diff #48845)

This is a standard variable, it goes before the options. See Order of Variables in Port Makefiles.

Also, please provide a tentative commit message in your reviews.

rigoletto marked 2 inline comments as done.

Done.

x11-themes/sddm-freebsd-black-theme: update to version 1.2

Update MAINTAINER address.

Approved by: tcberner (mentor), mat (mentor)

x11-themes/sddm-freebsd-black-theme/Makefile
23–25 ↗(On Diff #48919)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

rigoletto marked an inline comment as done.

Re-ordering again.

This revision is now accepted and ready to land.Oct 13 2018, 9:07 PM
This revision was automatically updated to reflect the committed changes.